####################################################################
#cambio de subrayados a caracteres que se transforman en las reglas#
####################################################################
awk '{gsub ("<u>t</u>", "t·");
gsub ("<u>T</u>", "T·");
gsub ("<u>n</u>", "n·");
gsub ("<u>N</u>", "N·");
gsub ("<u>l</u>", "l·");
gsub ("<u>L</u>", "L·");
gsub ("<span style=\"text-decoration\: underline\;\">t</span>", "t·");
gsub ("<span style=\"text-decoration\: underline\;\">T</span>", "T·");
gsub ("<span style=\"text-decoration\: underline\;\">n</span>", "n·");
gsub ("<span style=\"text-decoration\: underline\;\">N</span>", "N·");
gsub ("<span style=\"text-decoration\: underline\;\">l</span>", "l·");
gsub ("<span style=\"text-decoration\: underline\;\">L</span>", "L·");
########################################################
#cambio de etiquetas de salto de línea a salto de línea#
########################################################
gsub ("<(br|BR|Br|br /|BR /|Br /|bR|bR /)>", "\n");
######################################
#regla que borra las líneas en blanco#
######################################
gsub ("\n+", "\n");
print $0}' < 1nmt.nmt > 2nmt.nmt

#####################################
#script que quita las etiquetas html#
#####################################
./striphtml 2nmt.nmt > 3nmt.nmt

##########################
#reglas de transformación#
##########################
awk '{gsub ("ə|ï|v", "ü");
gsub ("Ï|V", "Ü");
gsub ("q", "g");
gsub ("Q", "G");
gsub ("c", "ch");
gsub ("C", "Ch");
gsub ("chh", "ch");
gsub ("Chh", "Ch");
gsub ("tx|x", "tr");
gsub ("Tx|X", "Tr");
gsub ("t(·|d|̯)", "t`");
gsub ("T(·|d|̯)", "T`");
gsub ("n(·|h|̯)", "n`");
gsub ("N(·|d|h|̯)", "N`");
gsub ("&#331;|ŋ", "ng");
gsub ("^g| g", " ng");
gsub ("G", "Ng");
gsub ("l(·|h|̯)|b", "l`");
gsub ("L(·|d|h|̯)|B", "L`");
gsub ("z|sd", "d");
gsub ("Z|Sd", "D");
gsub ("ʃ", "sh");
gsub ("j|lh", "ll");
gsub ("J|Lh", "Ll");
gsub ("h", "n`");
gsub ("H", "N`");
gsub ("cn`", "ch");
gsub ("Cn`", "Ch");
gsub ("sn`", "sh");
gsub ("Sn`", "Sh");
gsub ("^ | $", "");
###################################
#tratamiento de diptongos y hiatos#
###################################
gsub ("Ai", "Ay");
gsub ("ai", "ay");
gsub ("A(o|u)", "Aw");
gsub ("a(o|u)", "aw");
gsub ("Ei", "Ey");
gsub ("ei", "ey");
gsub ("E(o|u)", "Ew");
gsub ("e(o|u)", "ew");
gsub ("Ia", "Ya");
gsub ("ia", "ya");
gsub ("Ie", "Ye");
gsub ("ie", "ye");
gsub ("I(o|u|w)", "Yu");
gsub ("i(o|u|w)", "yu");
gsub ("(O|U|Wu)a", "Wa");
gsub ("(o|u|wu)a", "wa");
gsub ("(O|U|Wu)e", "We");
gsub ("(o|u|wu)e", "we");
gsub ("Oi", "Oy");
gsub ("oi", "oy");
gsub ("Ou", "Ow");
gsub ("ou", "ow");
gsub ("Ui", "Uy");
gsub ("ui", "uy");
gsub ("Uo", "Wo");
gsub ("uo", "wo");
gsub ("Üi", "Üy");
gsub ("üi", "üy");
gsub ("ywe", "iwe");
###########################
#correcciones ortográficas#
###########################
gsub ("rr", "r");
gsub ("á", "a");
gsub ("Á", "A");
gsub ("é", "e");
gsub ("É", "E");
gsub ("í", "i");
gsub ("Í", "I");
gsub ("ó", "o");
gsub ("Ó", "O");
gsub ("ú", "u");
gsub ("Ú", "U");
gsub ("ywe", "iwe");
gsub ("ywa", "iwa");
gsub ("ayy", "ayi");
gsub ("Ayy", "Ayi");
gsub ("ñg", "ng");
gsub ("Kl", "Kül");
gsub ("kl", "kül");
gsub ("Pl", "Pül");
gsub ("pl", "pül");
gsub ("ww", "w");
print $0}' < 3nmt.nmt > nmt.nmt
